Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/zathura-ps: new aport

From: Andrew Hills <ahills_at_ednos.net>
Date: Sun, 7 Jun 2015 19:39:28 -0400

https://pwmt.org/projects/zathura-ps
Postscript support for zathura
---
 testing/zathura-ps/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/zathura-ps/APKBUILD
diff --git a/testing/zathura-ps/APKBUILD b/testing/zathura-ps/APKBUILD
new file mode 100644
index 0000000..4b7b59e
--- /dev/null
+++ b/testing/zathura-ps/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Maintainer: Andrew Hills <ahills_at_ednos.net>
+pkgname=zathura-ps
+pkgver=0.2.2
+pkgrel=0
+pkgdesc="Postscript support for zathura"
+url="https://pwmt.org/projects/zathura-ps"
+arch="all"
+license="zlib"
+depends=""
+depends_dev=""
+makedepends="$depends_dev zathura-dev girara-dev libspectre-dev gtk+3.0-dev glib-dev"
+install=""
+subpackages=""
+source="https://pwmt.org/projects/zathura-ps/download/zathura-ps-$pkgver.tar.gz"
+
+_builddir="$srcdir"/zathura-ps-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="338af976c03c0aa1471b156a0efdc45c  zathura-ps-0.2.2.tar.gz"
+sha256sums="e6546261db03b0b6b6499a8e109dc9ff3b8eb8b154ce45f5c6284c1e76d1d7a8  zathura-ps-0.2.2.tar.gz"
+sha512sums="4cedd614127b995ad834d5913dd5d9b3dff6172ac31cf42e8d43941815ac03a4872f41d7766c325f435feffa63364c9c377f760cd0540d2f36753e7df1c4c49e  zathura-ps-0.2.2.tar.gz"
-- 
2.4.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jun 07 2015 - 19:39:28 GMT